#!/bin/bash

# 提示用户输入本金
echo "请输入本金金额："
read principal

# 提示用户输入年利率（例如输入0.05表示5%）
echo "请输入年利率（小数形式）："
read interest_rate

# 提示用户输入年数
echo "请输入年数："
read years

# 计算复利
result=$(echo "scale=2; $principal * (1 + $interest_rate) ^ $years" | bc -l)

echo "经过 $years 年，本金 $principal 元，年利率为 $interest_rate 的复利终值为：$result 元"
